Subject: Re: bug#14166: 24.3.50; report-emacs-bug and mail-user-agent == 'gnus-user-agent

From: Michael Heerdegen <[email-masked]>
Date: Thu, 11 Apr 2013 20:55:40 +0200

Wolfgang Jenkner <[email-masked]> writes:

> I read emacs-devel via gmane and use group parameters to reply to the
> mailing list instead, see (info "(gnus)Group Parameters").  For example,
> my group parameters for gmane.emacs.devel are
>
> ((subscribed . t)
>  (to-list . "[email-masked]"))

Although I still think this problem should be fixed - this is a good
hint, many thanks!  I tried this:

--8<---------------cut here---------------start------------->8---
(dolist (entry my-gnus-newsgroups-to-mailing-lists-mapping)
  (add-to-list 'gnus-parameters
               `(,(car entry) (subscribed . t) (to-list . ,(cdr entry)))))
--8<---------------cut here---------------end--------------->8---

where `my-gnus-newsgroups-to-mailing-lists-mapping' is an alist
((group-regexp . mailing-list-name) ...) I already had defined (I'm
indeed subscribed to all of those).  And it seems to work very well,
without provoking this bug.

Regards,

Michael.